#include "interject.h"
///////////////////////////////////////////////
// 
//  Snipe2d ludum dare 48h compo entry
//
//  Jari Komppa aka Sol 
//  http://iki.fi/sol
// 
///////////////////////////////////////////////
// License
///////////////////////////////////////////////
// 
//     This software is provided 'as-is', without any express or implied
//     warranty.    In no event will the authors be held liable for any damages
//     arising from the use of this software.
// 
//     Permission is granted to anyone to use this software for any purpose,
//     including commercial applications, and to alter it and redistribute it
//     freely, subject to the following restrictions:
// 
//     1. The origin of this software must not be misrepresented; you must not
//        claim that you wrote the original software. If you use this software
//        in a product, an acknowledgment in the product documentation would be
//        appreciated but is not required.
//     2. Altered source versions must be plainly marked as such, and must not be
//        misrepresented as being the original software.
//     3. This notice may not be removed or altered from any source distribution.
// 
// (eg. same as ZLIB license)
//
///////////////////////////////////////////////
//
// Houses are taken from a satellite picture of glasgow.
//
// The sources are a mess, as I didn't even try to do anything
// really organized here.. and hey, it's a 48h compo =)
//
#include "snipe2d.h"

void logoscreen()
{
FUNCTION_ENTRY("logoscreen");

    SDL_Surface *logoscreen = SDL_LoadBMP("data/logoscreen.bmp");
    SDL_BlitSurface(logoscreen, NULL, gScreen, NULL);
    SDL_UpdateRect(gScreen, 0, 0, WIDTH, HEIGHT);
    init();
    SDL_BlitSurface(logoscreen, NULL, gScreen, NULL);
    print(2,2,0,"Push a button to start! (v1.1)");
    print(1,1,1,"Push a button to start!");
    SDL_UpdateRect(gScreen, 0, 0, WIDTH, HEIGHT);
    int go = 0;
    int startTick = SDL_GetTicks();
    while (!go)
    {
        SDL_Delay(10);
        SDL_Event event;
        while ( SDL_PollEvent(&event) )  
        {
            switch (event.type) 
            {
            case SDL_JOYBUTTONUP:
                if (event.jbutton.button == GP2X_BUTTON_START ||
                    event.jbutton.button == GP2X_BUTTON_SELECT)
                    exit(0);
                if ((SDL_GetTicks() - startTick) > 500)
                    go = 1;
                break;

            case SDL_KEYUP:                                            
                if (event.key.keysym.sym == SDLK_ESCAPE ||
                    event.key.keysym.sym == SDLK_x ||
                    event.key.keysym.sym == SDLK_z)
                    exit(0);
                /*
                break;
            case SDL_MOUSEBUTTONUP:
            */
                if ((SDL_GetTicks() - startTick) > 500)
                    go = 1;
                break;
            case SDL_QUIT:
                exit(0);
            }
        }
    }
    SDL_FreeSurface(logoscreen);
FUNCTION_LEAVE("logoscreen");
}